%def_enable shared
%def_enable static
%def_disable idebug
%def_disable iprofile
%def_disable gnuprofile
%def_enable assembly

%define bname xvid
%define Name XviD
Name: lib%bname
Version: 1.2.1
Release: alt1
Summary: Shared library of %Name video codec
Summary(uk_UA.CP1251):     %Name.
Summary(ru_RU.CP1251):     %Name.
Group: System/Libraries
License: %gpl2plus
URL: http://www.%bname.org
Source: http://downloads.%bname.org/downloads/%{bname}core-%version.tar
Patch: %name-%version-%release.patch
Provides: %bname = %version-%release
Obsoletes: %bname < %version-%release

BuildRequires: rpm-build-licenses
%{?_enable_assembly:BuildRequires: yasm}

%description
%Name is a high performance and high quality MPEG-4 video de-/encoding
solution.
This package includes the shared library needed to run %Name software.

%description -l uk_UA.CP1251
%Name -      /
MPEG-4.
    ,   
,   %{name}core.

%description -l ru_RU.CP1251
%Name -     
/ MPEG-4.
    ,   
,  %{name}core.


%package devel
Summary: Development files of %Name video codec
Group: Development/C
Requires: %name%{?_disable_shared:-devel-static} = %version-%release
Provides: %bname-devel = %version-%release
Obsoletes: %bname-devel < %version-%release

%description devel
%Name is a high performance and high quality MPEG-4 video de-/encoding
solution.

This package includes the header files needed to develop %Name-based
software.

%description devel -l uk_UA.CP1251
%Name -      /
MPEG-4.

    ,     
 %Name.

%description devel -l ru_RU.CP1251
%Name -     
/ MPEG-4.

    ,   
  c %Name.


%if_enabled static
%package devel-static
Summary: Static library of %Name video codec
Summary(uk_UA.CP1251):     %Name.
Summary(ru_RU.CP1251):     %Name.
Group: Development/C
Requires: %name-devel = %version-%release
Provides: %bname-static-libs = %version-%release
Obsoletes: %bname-static-libs < %version-%release

%description devel-static
%Name is a high performance and high quality MPEG-4 video de-/encoding
solution.
This package contains static library of %Name video codec.

%description devel-static -l uk_UA.CP1251
%Name -      /
MPEG-4.
      %Name.

%description devel-static -l ru_RU.CP1251
%Name -     
/ MPEG-4.
      %Name.
%endif


%package examples
Summary: Development files of %Name video codec
Group: Development/C
Requires: %name-devel = %version
BuildArch: noarch

%description examples
%Name is a high performance and high quality MPEG-4 video de-/encoding
solution.
This package includes exaples of develop %Name-based software.

%description examples -l uk_UA.CP1251
%Name -      /
MPEG-4.
        %Name.

%description examples -l ru_RU.CP1251
%Name -    
 / MPEG-4.
       c %Name.


%prep
%setup -n %{bname}core-%version
%patch -p1


%build
%define _optlevel 3
%ifarch x86_64
%add_optflags %optflags_shared
%endif
pushd build/generic
%configure \
    %{subst_enable assembly} \
    %{subst_enable idebug} \
    %{subst_enable iprofile} \
    %{subst_enable gnuprofile}
%make_build %{?_enable_shared:shared_lib} %{?_enable_static:static_lib}
popd
bzip2 --keep --force --best ChangeLog


%install
pushd build/generic
%make_install DESTDIR=%buildroot \
    %{?_enable_shared:install_shared} \
    %{?_enable_static:install_static} \
    install_header
popd
%{?_enable_shared:ln -s %{name}core.so.4.2 %buildroot%_libdir/%{name}core.so}
install -d -m 0755 %buildroot%_docdir/%name-devel-%version/examples
install -m 0644 AUTHORS ChangeLog.* CodingStyle TODO %buildroot%_docdir/%name-devel-%version/
install -m 0644 examples/* %buildroot%_docdir/%name-devel-%version/examples/

%{?_enable_assembly:%set_verify_elf_method textrel=relaxed}


%if_enabled shared
%files
%_libdir/*.so.*
%endif


%files devel
%dir %_docdir/%name-devel-%version
%_docdir/%name-devel-%version/AUTHORS
%_docdir/%name-devel-%version/CodingStyle
%_docdir/%name-devel-%version/ChangeLog.*
%_docdir/%name-devel-%version/TODO
%{?_enable_shared:%_libdir/*.so}
%_includedir/*


%if_enabled static
%files devel-static
%_libdir/*.a
%endif


%files examples
%_docdir/%name-devel-%version/examples


%changelog
* Sun Dec 28 2008 Led <led@altlinux.ru> 1.2.1-alt1
- 1.2.1
- cleaned up spec

* Sat Oct 11 2008 Led <led@altlinux.ru> 1.1.3-alt3
- fixed License
- cleaned up spec

* Fri Aug 10 2007 Led <led@altlinux.ru> 1.1.3-alt2
- cleaned up BuildRequires
- used yasm for x86_32

* Fri Jul 06 2007 Led <led@altlinux.ru> 1.1.3-alt1
- 1.1.3 bugfix release:
  + fixed a potential vulnerability in mbcoding.c
- cleaned up spec

* Fri Dec 01 2006 Led <led@altlinux.ru> 1.1.2-alt1
- 1.1.2 (bugfix release)
- removed %{name}core-1.1.1-quotes.patch (fixed in upstream)

* Tue Oct 31 2006 Led <led@altlinux.ru> 1.1.1-alt1
- 1.1.1 (bugfix release)
- cleaned up spec
- added %{name}core-1.1.1-quotes.patch

* Fri Jul 28 2006 Led <led@altlinux.ru> 1.1.0-alt7
- added ability build shared or static or both libraries (with
  %{name}core-1.1.0-shared_static.patch)

* Thu Jul 06 2006 Led <led@altlinux.ru> 1.1.0-alt6
- fixed %%post and %%postun

* Tue May 16 2006 Led <led@altlinux.ru> 1.1.0-alt5
- rebuild with gcc-4.1
- fixed spec
- moved ChangeLog* to lib%name-devel
- added lib%name-examples package
- added LICENSE into lib%name

* Wed Apr 05 2006 Led <led@altlinux.ru> 1.1.0-alt4
- changed asm BuildRequires

* Tue Feb 28 2006 Led <led@altlinux.ru> 1.1.0-alt3
- added %{name}core-1.1.0-configure.patch (for detect pentium4)
- fix spec

* Mon Feb 27 2006 Led <led@altlinux.ru> 1.1.0-alt2
- enabled assembly for all arches

* Wed Feb 01 2006 Led <led@altlinux.ru> 1.1.0-alt1
- uk and ru Summary and description
- fix spec

* Tue Jan 31 2006 Led <led@altlinux.ru> 1.1.0-alt0.4
- fix spec

* Mon Jan 30 2006 Led <led@altlinux.ru> 1.1.0-alt0.3
- 1.1.0 release
- rename packages
- fix BuildRequires for x86_64

* Fri Oct 07 2005 Led <led@linux.kiev.ua> 1.1.0-alt0.2
- 1.1.0-beta2

* Tue Jul 05 2005 Led <led@linux.kiev.ua> 1.1.0-alt0.1
- 1.1.0-beta1
- update alt-makefile patch

* Wed Dec 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Thu Nov 11 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Jun 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sun Mar 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.5rc3
- 1.0.0-rc3

* Sun Feb 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.5rc1
- 1.0.0-rc1

* Sat Nov 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1.1
- fix TEXTREL bug.

* Sun Aug 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Mon Apr 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Sun Dec 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Fri Sep 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0-alt0.6cvs20020822
- lastest snapshot built

* Fri May 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0-alt0.5cvs120020412
- Adopted for Sisyphus PLD Team package.
